<div class="col-12 col-sm-10 col-md-8 m-auto">
  <div class="postSHowEach card">
    <div class="card-header fmy-card-header d-flex justify-content-between align-items-center <%= 'alreadySubscribe' if user_signed_in? && current_user.followings.include?(post.user) %>">
      <%= link_to post.user.login, user_path(post.user), :class => 'postOwnerLogin' %>
      <% if post.id %>
      <div class="dropdown">
        <%= link_to "s", '#', id: "dropdownMenuLink", data: { toggle: 'dropdown' } %>
        <div class="dropdown-menu fmy-dropdown-menu" aria-labelledby="dropdownMenuButton">
          <%= link_to 'Подписаться', follow_user_path(post.user), :class => 'dropdown-item', method: :post if check_for_subscribe(post) %>
          <%= link_to 'Отписаться', unfollow_user_path(post.user), :class => 'dropdown-item', method: :post if check_for_unsubscribe(post)%>
          <%= link_to 'Удалить', user_post_path(post.user, post), :class => 'dropdown-item', method: :delete if can? :manage, post %>
          <%= link_to 'Редактировать', edit_user_post_path(post.user, post), :class => 'dropdown-item' if can? :edit, post %>
          <%= link_to 'Просмотреть', user_post_path(post.user, post), :class => 'dropdown-item' %>
        </div>
      </div>
      <% end %>
    </div>
    <% if post.images.attached? %>
    <% if post.images.length > 1 %>
    <div class="slider">
      <% post.images.each do |image| %>
      <div class="fmy-slider-image"><%= image_tag image %></div>
      <% end %>
    </div>
    <% else %>
    <% unless post.images.first.id.nil? %>
    <div class="singleImage">
      <%= image_tag post.images.first %>
    </div>
    <% end %>
    <% end %>
    <% end %>
    <div>
      <% if user_signed_in? && post.id %>
      <%= link_to '+', up_post_likes_path(post), :class => 'likeUp', method: :post unless user_leave_like_to?(post) %>
      <%= link_to '-', down_post_likes_path(post), :class => 'likeDown', method: :delete if user_leave_like_to?(post) %>
      <span><%= post.like_qty %> likes</span>
      <% else %>
      <span class="likeUp"></span> <%= post.like_qty %> likes
      <% end %>
    </div>
    <% unless post.desc.empty? %>
    <div class="fmy-card-body">
      <p class="card-text"><%= post.desc %></p>
    </div>
    <% end %>
  </div>
</div>
